DataInput
Date: 2016-06-24

java.io

## Interface DataInput

- All Known Subinterfaces:
    Datagram, ObjectInput
  All Known Implementing Classes:
    DataInputStream, ObjectInputStream, RandomAccessFile

      public interface DataInput

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `readBoolean()`
    `byte` | `readByte()`
    `char` | `readChar()`
    `double` | `readDouble()`
    `float` | `readFloat()`
    `void` | `readFully(byte[] var0)`
    `void` | `readFully(byte[] var0, int var1, int var2)`
    `int` | `readInt()`
    `String` | `readLine()`
    `long` | `readLong()`
    `short` | `readShort()`
    `int` | `readUnsignedByte()`
    `int` | `readUnsignedShort()`
    `String` | `readUTF()`
    `int` | `skipBytes(int var0)`

- - ### Method Detail

    - #### readBoolean

          boolean readBoolean()
                              throws IOException

      Throws:
        `IOException`

    - #### readByte

          byte readByte()
                        throws IOException

      Throws:
        `IOException`

    - #### readChar

          char readChar()
                        throws IOException

      Throws:
        `IOException`

    - #### readDouble

          double readDouble()
                            throws IOException

      Throws:
        `IOException`

    - #### readFloat

          float readFloat()
                          throws IOException

      Throws:
        `IOException`

    - #### readFully

          void readFully(byte[] var0)
                         throws IOException

      Throws:
        `IOException`

    - #### readFully

          void readFully(byte[] var0,
                       int var1,
                       int var2)
                         throws IOException

      Throws:
        `IOException`

    - #### readInt

          int readInt()
                      throws IOException

      Throws:
        `IOException`

    - #### readLine

          String readLine()
                          throws IOException

      Throws:
        `IOException`

    - #### readLong

          long readLong()
                        throws IOException

      Throws:
        `IOException`

    - #### readShort

          short readShort()
                          throws IOException

      Throws:
        `IOException`

    - #### readUTF

          String readUTF()
                         throws IOException

      Throws:
        `IOException`

    - #### readUnsignedByte

          int readUnsignedByte()
                               throws IOException

      Throws:
        `IOException`

    - #### readUnsignedShort

          int readUnsignedShort()
                                throws IOException

      Throws:
        `IOException`

    - #### skipBytes

          int skipBytes(int var0)
                        throws IOException

      Throws:
        `IOException`